export interface ModuleResponseObject {
    name: string;
    order: string;
    address: string;
    path: string;
    symbolsloaded: string;
    fileversion: string;
    productversion: string;
    checksum: string;
    timedatestamp: string;
}
export declare class Module {
    readonly name: string;
    readonly order: string;
    readonly address: string;
    readonly path: string;
    readonly status: string;
    readonly fileVersion: string;
    readonly productVersion: string;
    readonly checksum: string;
    readonly timestamp: string;
    constructor(name: string, order: string, address: string, path: string, status: string, fileVersion: string, productVersion: string, checksum: string, timestamp: string);
    static fromResponseObject(object: ModuleResponseObject): Module;
}
