export class CrashesApiRow {
    id;
    groupByCount;
    stackKey;
    stackId;
    stackKeyId;
    appName;
    appVersion;
    appDescription;
    userDescription;
    user;
    email;
    ipAddress;
    crashTime;
    defectId;
    defectUrl;
    defectLabel;
    skDefectId;
    skDefectUrl;
    skDefectLabel;
    comments;
    skComments;
    exceptionCode;
    exceptionMessage;
    constructor(rawApiRow) {
        this.id = Number(rawApiRow.id);
        this.groupByCount = Number(rawApiRow.groupByCount || 0);
        this.stackKey = rawApiRow.stackKey;
        this.stackKeyId = Number(rawApiRow.stackKeyId);
        this.stackId = Number(rawApiRow.stackId);
        this.appName = rawApiRow.appName;
        this.appVersion = rawApiRow.appVersion;
        this.appDescription = rawApiRow.appDescription;
        this.userDescription = rawApiRow.userDescription;
        this.user = rawApiRow.user;
        this.email = rawApiRow.email;
        this.ipAddress = rawApiRow.IpAddress;
        this.crashTime = rawApiRow.crashTime;
        this.defectId = rawApiRow.defectId;
        this.defectUrl = rawApiRow.defectUrl;
        this.defectLabel = rawApiRow.defectLabel;
        this.skDefectId = rawApiRow.skDefectId;
        this.skDefectUrl = rawApiRow.skDefectUrl;
        this.skDefectLabel = rawApiRow.skDefectLabel;
        this.comments = rawApiRow.Comments;
        this.skComments = rawApiRow.skComments;
        this.exceptionCode = rawApiRow.exceptionCode;
        this.exceptionMessage = rawApiRow.exceptionMessage;
        Object.freeze(this);
    }
}
//# sourceMappingURL=crashes-api-row.js.map