import { UploadableFile, BugSplatResponse, Environment } from '../common/index';
import { CrashType } from './index';
export declare class CrashPostClient {
    private _database;
    private _environment;
    private _processor;
    private _processorApiClient;
    private _s3ApiClient;
    constructor(_database: string, _environment?: Environment, _processor?: string);
    postCrash(application: string, version: string, type: CrashType, file: UploadableFile, md5?: string): Promise<BugSplatResponse>;
    private getCrashUploadUrl;
    private commitS3CrashUpload;
}
