import { ApiDataFilter, FilterOperator } from '../../../index';
export declare class ApiDataFilterGroup {
    filters: Array<ApiDataFilter>;
    filterOperator: FilterOperator;
    groupOperator: FilterOperator;
    constructor(filters: Array<ApiDataFilter>, filterOperator?: FilterOperator, groupOperator?: FilterOperator);
    static fromApiTableFilter(filter: ApiDataFilter): ApiDataFilterGroup;
    static fromColumnValues(values: Array<string>, columnName: string, filterOperator?: FilterOperator): ApiDataFilterGroup;
    static fromTimeFrame(columnName: string, startDate?: Date, endDate?: Date): ApiDataFilterGroup;
}
