import { ApiClient, BugSplatResponse } from '../../index';
import FormData from 'form-data';
export declare class OAuthClientCredentialsClient implements ApiClient {
    private _clientId;
    private _clientSecret;
    private _host;
    private _accessToken;
    private _tokenType;
    private _createFormData;
    private _fetch;
    constructor(_clientId: string, _clientSecret: string, _host?: string);
    static createAuthenticatedClient(clientId: string, clientSecret: string, host?: string): Promise<OAuthClientCredentialsClient>;
    login(): Promise<BugSplatResponse>;
    createFormData(): FormData;
    fetch(route: string, init?: RequestInit): Promise<BugSplatResponse>;
}
