export class Module {
    name;
    order;
    address;
    path;
    status;
    fileVersion;
    productVersion;
    checksum;
    timestamp;
    constructor(name, order, address, path, status, fileVersion, productVersion, checksum, timestamp) {
        this.name = name;
        this.order = order;
        this.address = address;
        this.path = path;
        this.status = status;
        this.fileVersion = fileVersion;
        this.productVersion = productVersion;
        this.checksum = checksum;
        this.timestamp = timestamp;
        Object.freeze(this);
    }
    static fromResponseObject(object) {
        return new Module(object.name, object.order, object.address, object.path, object.symbolsloaded, object.fileversion, object.productversion, object.checksum, object.timedatestamp);
    }
}
//# sourceMappingURL=module.js.map